vtc: XVtc_Signal Struct Reference

| vtc Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVtc_Signal Struct Reference
Vtc_v7_2

This typedef contains the VTC signal configuration used by the Generator/Detector modules in a VTC device. More...

## Data Fields
u16 | OriginMode
| Origin Mode. More...
u16 | HTotal
| Horizontal total clock cycles per Line. More...
u16 | HFrontPorchStart
| Horizontal Front Porch Start Cycle Count. More...
u16 | HSyncStart
| Horizontal Sync Start Cycle Count. More...
u16 | HBackPorchStart
| Horizontal Back Porch Start Cycle Count. More...
u16 | HActiveStart
| Horizontal Active Video Start Cycle Count. More...
u16 | V0Total
| Total lines per Frame (Field 0) More...
u16 | V0FrontPorchStart
| Vertical Front Porch Start Line Count * (Field 0) More...
u16 | V0SyncStart
| Vertical Sync Start Line Count (Field 0) More...
u16 | V0BackPorchStart
| Vertical Back Porch Start Line Count * (Field 0) More...
u16 | V0ActiveStart
| Vertical Active Video Start Line Count * (Field 0) More...
u16 | V0ChromaStart
| Active Chroma Start Line Count (Field 0) More...
u16 | V1Total
| Total lines per Frame (Field 1) More...
u16 | V1FrontPorchStart
| Vertical Front Porch Start Line Count * (Field 1) More...
u16 | V1SyncStart
| Vertical Sync Start Line Count (Field 1) More...
u16 | V1BackPorchStart
| Vertical Back Porch Start Line Count * (Field 1) More...
u16 | V1ActiveStart
| Vertical Active Video Start Line Count (Field 1) More...
u16 | V1ChromaStart
| Active Chroma Start Line Count (Field 1) More...
u8 | Interlaced
| Interlaced / Progressive video. More...

## Detailed Description

This typedef contains the VTC signal configuration used by the Generator/Detector modules in a VTC device.

## Field Documentation

u16 XVtc_Signal::HActiveStart

Horizontal Active Video Start Cycle Count.

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::HBackPorchStart

Horizontal Back Porch Start Cycle Count.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::HFrontPorchStart

Horizontal Front Porch Start Cycle Count.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::HSyncStart

Horizontal Sync Start Cycle Count.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::HTotal

Horizontal total clock cycles per Line.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u8 XVtc_Signal::Interlaced

Interlaced / Progressive video.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::OriginMode

Origin Mode.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetDetectorTiming(), XVtc_GetGenerator(), XVtc_GetGeneratorTiming(), and XVtc_SetGenerator().

u16 XVtc_Signal::V0ActiveStart

Vertical Active Video Start Line Count * (Field 0)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::V0BackPorchStart

Vertical Back Porch Start Line Count * (Field 0)

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::V0ChromaStart

Active Chroma Start Line Count (Field 0)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::V0FrontPorchStart

Vertical Front Porch Start Line Count * (Field 0)

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::V0SyncStart

Vertical Sync Start Line Count (Field 0)

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::V0Total

Total lines per Frame (Field 0)

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::V1ActiveStart

Vertical Active Video Start Line Count (Field 1)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetector(), and XVtc_GetGenerator().

u16 XVtc_Signal::V1BackPorchStart

Vertical Back Porch Start Line Count * (Field 1)

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::V1ChromaStart

Active Chroma Start Line Count (Field 1)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetector(), and XVtc_GetGenerator().

u16 XVtc_Signal::V1FrontPorchStart

Vertical Front Porch Start Line Count * (Field 1)

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), and XVtc_GetGenerator().

u16 XVtc_Signal::V1SyncStart

Vertical Sync Start Line Count (Field 1)

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().

u16 XVtc_Signal::V1Total

Total lines per Frame (Field 1)

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_GetDetector(), XVtc_GetGenerator(), and XVtc_SetGenerator().